0
$\begingroup$

Rosanswers logo

Before 1.10.0 version I can see Gazebo Catvehicle packages in Autoware/ros/src/simulation/ folder, but I tried hard to bring it up in the docker. Either the compiling was not successful or the Gazebo crashed. I guess I was not using the right version of Autoware to replicate it, since the official Catvehicle package is only supported in ROS Indigo.

Can anyone give me any suggestions to help me gothrough it? Can I continue to work on it uder ROS Kinetic and Gazebo 7?

Thank you


Originally posted by xpharry on ROS Answers with karma: 5 on 2019-06-17

Post score: 0

$\endgroup$

2 Answers 2

0
$\begingroup$

Rosanswers logo

Currently, Catvehicle is not used in autoware gazebo simulatior. autoware gazebo had not been supported with kinetic for a while, but recently I support gazebo simulator from Autoware 1.11 (ROS kinetic and gazebo7).

This is instruction video.

-https://youtu.be/IK7WgatieXc

If you don't look on the big screen, the characters may be broken and you may not see


Originally posted by yukkysaito with karma: 41 on 2019-06-18

This answer was ACCEPTED on the original site

Post score: 1


Original comments

Comment by xpharry on 2019-06-18:
Thanks. I am sorry that I cannot tell the characters with my devices.

$\endgroup$
0
$\begingroup$

Rosanswers logo

According to the Autoware documentation, gazebo7 is required for running catvehicle. You need to install ros Indigo and have the proper Autoware tag/commit. you can also use lgsvl simulation as well if you need to have ros Kinetic.


Originally posted by cassini.huygens with karma: 80 on 2019-06-17

This answer was NOT ACCEPTED on the original site

Post score: 1


Original comments

Comment by xpharry on 2019-06-18:
I see. I will switch to Gazebo simulator in latest version then.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.